import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { Crossmint, User, CrossmintConfig } from '@crossmint/common-sdk-base';

interface CrossmintContext {
    crossmint: Crossmint;
    setJwt: (jwt: string | undefined) => void;
    experimental_setAuth: (user: User | undefined) => void;
}
declare function CrossmintProvider({ children, apiKey, appId, overrideBaseUrl, }: CrossmintConfig & {
    children: ReactNode;
}): react_jsx_runtime.JSX.Element;
declare function useCrossmint(missingContextMessage?: string): CrossmintContext;

export { type CrossmintContext, CrossmintProvider, useCrossmint };
