import { UIConfig } from '@crossmint/common-sdk-base';
import { Chain, SignerConfigForChain } from '@crossmint/wallets-sdk';
export { Balances, Chain, EVMWallet, EvmExternalWalletSignerConfig, Permission, SolanaExternalWalletSignerConfig, SolanaWallet, Wallet } from '@crossmint/wallets-sdk';

type CreateOnLogin = {
    chain: Chain;
    signer: SignerConfigForChain<Chain>;
    owner?: string;
};
type BaseCrossmintWalletProviderProps = {
    createOnLogin?: CreateOnLogin;
    showPasskeyHelpers?: boolean;
    appearance?: UIConfig;
};

export type { BaseCrossmintWalletProviderProps, CreateOnLogin };
